<?php
/**
 * Author: topnuomi
 * Date: 2021/1/9/0009 10:01
 */

namespace top\base\response;

use top\base\Response;

/**
 * Class Json
 * @package top\base\response
 */
class Json extends Response
{
    protected array $headers = [
        'Content-Type' => 'application/json; charset=utf-8'
    ];

    public function setContent($content): static
    {
        return parent::setContent(json_encode($content, 256));
    }
}
