<?php
/**
 * Author: topnuomi
 * Date: 2021/1/9/0009 10:01
 */

namespace top\base\response;

use top\base\Response;
use top\utils\Xml as XmlUtil;

class Xml extends Response
{
    protected array $headers = [
        'Content-Type' => 'text/xml; charset=utf-8'
    ];

    public function setContent($content): static
    {
        return parent::setContent(XmlUtil::encode($content));
    }
}
