<?php

namespace top\facade;

use top\base\Facade;

/**
 * Class Response
 * @package top\facade
 * @method \top\base\Response setHttpCode(int $httpCode)
 * @method int getHttpCode()
 * @method \top\base\Response setHttpLevel(string $httpLevel)
 * @method string getHttpLevel()
 * @method \top\base\Response setType(string $type)
 * @method string getType()
 * @method \top\base\Response setHeaders(array $headers)
 * @method array getHeaders()
 * @method \top\base\Response setContent(mixed $content)
 * @method mixed getContent()
 * @method string send()
 */
class Response extends Facade
{
    public static function getRepresentName(): string
    {
        return 'response';
    }

}
