<?php

namespace top\utils;

class Xml
{
    public static function encode($params): string
    {
        $xml = '<xml>';
        ksort($params);
        foreach ($params as $key => $param) {
            if (is_numeric($param)) {
                $xml .= '<' . $key . '>' . $param . '</' . $key . '>';
            } else {
                $xml .= '<' . $key . '><![CDATA[' . $param . ']]></' . $key . '>';
            }
        }
        $xml .= '</xml>';
        return $xml;
    }
}
